Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80138 - SRPMS: install failed due to missed \%doc files
Summary: SRPMS: install failed due to missed \%doc files
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: w3c-libwww
Version: 8.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-20 16:11 UTC by Sysoltsev Slawa
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-10 15:11:00 UTC


Attachments (Terms of Use)

Description Sysoltsev Slawa 2002-12-20 16:11:08 UTC
Description of problem:
Trying to build & install source rpm I've got such message:

Executing(%doc): /bin/sh -
e /netbatch/TC11631/rh80_ia32_O/default/WORK_DIR/tmp/rpm-tmp.1381
+ umask 022
+ cd /netbatch/TC11631/rh80_ia32_O/default/WORK_DIR/BUILD
+ cd w3c-libwww-5.4.0
+ DOCDIR=/var/tmp/w3c-libwww-root/usr/share/doc/w3c-libwww-5.4.0
+ export DOCDIR
+ rm -rf /var/tmp/w3c-libwww-root/usr/share/doc/w3c-libwww-5.4.0
+ /bin/mkdir -p /var/tmp/w3c-libwww-root/usr/share/doc/w3c-libwww-5.4.0
+ cp -pr COPYRIGHT.html INSTALL.html LICENSE.html PATCHES.html 
README.html '*/*.html' '*/*/*.html' Icons/32x32/caution.gif Icons/3
2x32/smiley.gif Icons/32x32/warning.gif Icons/WWW/Bug48x.gif 
Icons/WWW/bullet.gif Icons/WWW/design48x.gif Icons/WWW/doc48x.gif Ico
ns/WWW/guide48x.gif Icons/WWW/install48x.gif Icons/WWW/internals48x.gif 
Icons/WWW/Lib48x.gif Icons/WWW/lines48x.gif Icons/WWW/list
en48x.gif Icons/WWW/LMB48x.gif Icons/WWW/new_red.gif Icons/WWW/Platform48x.gif 
Icons/WWW/progstyle48x.gif Icons/WWW/relnotes48x.gi
f Icons/WWW/robot48x.gif Icons/WWW/serv48x.gif Icons/WWW/startup48x.gif 
Icons/WWW/w3c_home.gif /var/tmp/w3c-libwww-root/usr/share/
doc/w3c-libwww-5.4.0
cp: cannot stat `*/*.html': No such file or directory
cp: cannot stat `*/*/*.html': No such file or directory
error: Bad exit status 
from /netbatch/TC11631/rh80_ia32_O/default/WORK_DIR/tmp/rpm-tmp.1381 (%doc)

In WORK_DIR are only *.html files, no */*.html or */*/*.html files there. As a 
result installation fails.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. rpm -bb w3c-libwww.spec

    
Actual results:
Installation errors.

Expected results:
Succesfully built & installed package

Additional info:

Comment 1 Harald Hoyer 2003-01-09 14:31:24 UTC
strange, somehow it got through the build system... 
thx


Note You need to log in before you can comment on or make changes to this bug.